LibreOffice LibreOffice 6.1 SDK API Reference

Variables
com::sun::star::ui::UIElementType Constant Group Reference

determine the type of a user interface element which is controlled by a layout manager. More...

## Variables
const short | UNKNOWN = 0
| unknown user interface element type, which can be used as a wildcard to specify all types. More...
const short | MENUBAR = 1
| specifies a menu bar. More...
const short | POPUPMENU = 2
| specifies a pop-up menu. More...
const short | TOOLBAR = 3
| specifies a toolbar. More...
const short | STATUSBAR = 4
| specifies a statusbar. More...
const short | FLOATINGWINDOW = 5
| specifies a floating window, which can also be docked. More...
const short | PROGRESSBAR = 6
| specifies a floating window, which can also be docked. More...
const short | TOOLPANEL = 7
| specifies a tool panel More...
const short | DOCKINGWINDOW = 7
| specifies a window that can be docked. More...
const short | COUNT = 8
| specifies the number of constants. More...

## Detailed Description

determine the type of a user interface element which is controlled by a layout manager.

Since
  OOo 2.0

## Variable Documentation

## ◆ COUNT

const short COUNT = 8

specifies the number of constants.

## ◆ DOCKINGWINDOW

const short DOCKINGWINDOW = 7

specifies a window that can be docked.

## ◆ FLOATINGWINDOW

const short FLOATINGWINDOW = 5

specifies a floating window, which can also be docked.

## ◆ MENUBAR

const short MENUBAR = 1

specifies a menu bar.

## ◆ POPUPMENU

const short POPUPMENU = 2

specifies a pop-up menu.

## ◆ PROGRESSBAR

const short PROGRESSBAR = 6

specifies a floating window, which can also be docked.

## ◆ STATUSBAR

const short STATUSBAR = 4

specifies a statusbar.

## ◆ TOOLBAR

const short TOOLBAR = 3

specifies a toolbar.

## ◆ TOOLPANEL

const short TOOLPANEL = 7

specifies a tool panel

## ◆ UNKNOWN

const short UNKNOWN = 0

unknown user interface element type, which can be used as a wildcard to specify all types.